Summary:	Graphical User Interface tool supporting SpatiaLite
Summary(pl.UTF-8):	Graficzny interfejs użytkownika obsługujący bazy SpatiaLite
Name:		spatialite_gui
Version:	1.7.1
Release:	4
License:	GPL v3+
Group:		Applications/Databases
Source0:	http://www.gaia-gis.it/gaia-sins/spatialite-gui-sources/%{name}-%{version}.tar.gz
# Source0-md5:	c917f40810607784528b4db58cd36efb
Patch0:		wxWidgets3.patch
URL:		https://www.gaia-gis.it/fossil/spatialite_gui
BuildRequires:	freexl-devel
BuildRequires:	geos-devel
BuildRequires:	libgaiagraphics-devel
BuildRequires:	libspatialite-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	pkgconfig
BuildRequires:	proj-devel >= 4
BuildRequires:	wxGTK2-unicode-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Graphical User Interface tool supporting SpatiaLite.

%description -l pl.UTF-8
Graficzny interfejs użytkownika obsługujący bazy SpatiaLite.

%prep
%setup -q
%patch0 -p1

mkdir wx-bin
ln -sf /usr/bin/wx-gtk2-unicode-config wx-bin/wx-config

%build
%{__autoconf}
# configure refers to wx-config with no option to override
PATH=$(pwd)/wx-bin:$PATH
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}
sed -ne '2,$p' gnome_resource/spatialite-gui.desktop >$RPM_BUILD_ROOT%{_desktopdir}/spatialite-gui.desktop
cp -p gnome_resource/spatialite-gui.png $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/spatialite_gui
%{_desktopdir}/spatialite-gui.desktop
%{_pixmapsdir}/spatialite-gui.png
%changelog
* Sun Oct 26 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/spatialite_gui.git;a=log;h=master

* Sun Oct 26 2014 Jan Rękorajski <baggins@pld-linux.org> e7c9335
- release 4 (by relup.sh)

* Sat Jan 18 2014 Jan Rękorajski <baggins@pld-linux.org> 1040adf
- fix build with wzWidgets 3.0
- rel 3

* Wed Jan 15 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 1cb32a7
- wxWidgets rebuild
- release 2 (by relup.sh)

* Wed Jul 24 2013 Jakub Bogusz <qboosh@pld-linux.org> 74944cd
- updated to 1.7.1

* Mon Jun 10 2013 Jakub Bogusz <qboosh@pld-linux.org> 924c698
- updated to 1.7.0

* Sun Dec 09 2012 Jan Rękorajski <baggins@pld-linux.org> 2a641f7
- release 3 (by relup.sh)

* Sun Oct 21 2012 Jan Rękorajski <baggins@pld-linux.org> c1c648c
- rebuild to fix broken filedigests
- release 2 (by relup.sh)

* Sun Oct 07 2012 Jakub Bogusz <qboosh@pld-linux.org> 741b031
- cleanup

* Fri Sep 28 2012 Jakub Bogusz <qboosh@pld-linux.org> 135facb
- new

